function vykresleni(hObject, eventdata, handles, data)
%VYKRESLENI Vykreslení dat EKG do grafů


typ_mereni=get(handles.popupmenu2,'Value');
            
            signal = data;
            casova_osa=data(:,1);     

          
            size_signal = size(signal);
            
                if size_signal(1)>=size_signal(2)       
                    signal=signal';                    % transformace signálu
                end
        
   
             signal_I = signal(2,:);
             signal_II = signal(4,:);

                               
             if typ_mereni==2
                casova_osa=casova_osa(1:20000);
                signal_I=signal_I(1:20000);
                signal_II=signal_II(1:20000);
                popis='10 s klidového dýchání a 30 s hlubokého dýchání';
                set(handles.text6,'String',popis);
             elseif typ_mereni==3
                 casova_osa=casova_osa(1:30000);
                 signal_I=signal_I(1:30000);
                 signal_II=signal_II(1:30000);
                 popis='20 s vleže a 40 s vsedě';
                 set(handles.text6,'String',popis);
             elseif typ_mereni==4
                 casova_osa=casova_osa(1:15000);
                 signal_I=signal_I(1:15000);
                 signal_II=signal_II(1:15000);
                 popis='10 s v klidu vsedě a 20 s v náklonu';
                 set(handles.text6,'String',popis);
             end
                     
                cla(handles.axes1);
                axes(handles.axes1);
                plot(casova_osa,signal_I);
                title('Svod I');hold on;
                 xlabel('čas [s]');ylabel('napětí [mV]');hold on;
          
                cla(handles.axes3);
                axes(handles.axes3);
                
                
                plot(casova_osa,signal_II);
                title('Svod II');hold on;
                    
            xlabel('čas [s]');ylabel('napětí [mV]');hold on;
end

